%define module  XML-XPathScript
%define name    perl-%{module}
%define version 1.45
%define release %mkrel 1

%define _requires_exceptions perl(Apache)\\|perl(Apache::AxKit::Cache)\\|perl(Apache::AxKit::CharsetConv)\\|perl(Apache::AxKit::Exception)\\|perl(Apache::AxKit::Language)\\|perl(Apache::AxKit::Provider)\\|perl(Apache::File)

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A Perl framework for XML stylesheets
License:        Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/XML/%{module}-%{version}.tar.bz2
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(XML::XPath)
BuildRequires:  perl(XML::LibXML)
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}


%description
%{module} is an XML templating language that has some concepts from ASP
and some from XSLT. This makes for a very flexible option for transforming
XML to HTML or text or just about any other format.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes script
%{_mandir}/*/*
%{perl_vendorlib}/XML

%changelog
* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 20:58:30 (59655)
- 1.45

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 20:50:10 (59654)
Import perl-XML-XPathScript

* Fri Aug 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.44-1mdv2007.0
- new version 
- fix sources URL
- fix license

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdv2007.0
- New version 1.41

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.01-2mdk
- Fix According to perl Policy
    - BuildRequires

* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- New release 1.01
- spec cleanup
- fix source URL

* Tue Jan 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.16-1mdk
- New release 0.16
- fix source to make rpmbuilupdate friendly

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.15-2mdk
- Fix BuildRequires

* Mon Jul 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Wed Nov 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-2mdk
- Remove requires for AxKit modules

* Tue Nov 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.14-1mdk
- 0.14

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.11-2mdk
- own dir

* Fri Jan 23 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.11-1mdk
- 0.11
- add url tag

* Fri Aug 15 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.03-6mdk
- rebuild for new perl
- don't use PREFIX
- use %makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.03-5mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Pixel <pixel@mandrakesoft.com> 0.03-4mdk
- add "BuildRequires: perl-devel"

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 0.03-3mdk
- rebuild for perl 5.8.0

* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.03-2mdk
- rebuild

* Mon Feb 19 2001 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.03-1mdk
- First Mandrake Release

